<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>
<#assign isDynaSys =false>
<#if sys.getAllPSSystemModules()??>
    <#list sys.getAllPSSystemModules() as module>
        <#if module.getDynaInstMode()?? && (module.getDynaInstMode()?c=='1' || module.getDynaInstMode()?c=='2'  )>
            <#assign isDynaSys =true>
            <#break>
        </#if>
    </#list>
</#if>
package ${pub.getPKGCodeName()}.util.client;

import org.springframework.stereotype.Component;
import com.alibaba.fastjson.JSONObject;
import java.util.*;

@Component
public class IBZWFFallback implements IBZWFFeignClient {

    @Override
    public List<String> getbusinesskeys(String system, String appname, String entity, String processDefinitionKey, String taskDefinitionKey) {
        return null;
    }

    @Override
    public List<String> getbusinesskeysByUserId(String system, String userId, String entity, String processDefinitionKey, String taskDefinitionKey) {
        return null;
    }

    @Override
    public Boolean deployBpmnFile(List<Map<String, Object>> bpmnfiles) {
        return null;
    }

    @Override
    public JSONObject wfstart(String system, String appname, String entity, String businessKey, JSONObject instance) {
        return null;
    }
    <#if isDynaSys>

    @Override
    public Map<String, Map<String, Object>> getDynaBusinesskeysByUserId(String system, String userId, String entity, String dynainstid) {
        return null;
    }
    </#if>
}
